var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

$( document ).ready(function() {
    //COMMAND & REGISTER
    $('#ajouterAdresseFacturation').change(function () {
        const blocAddress = $('#bloc_adresse_facturation');
        const adresse2 = $('#adresse2');
        const selectVilleFacturation = $('#selectVilleFacturation');
        const codePostalFacturation = $('#codePostalFacturation');

        if ($(this).is(':checked')) {
            blocAddress.removeAttr('hidden');
            adresse2.attr('required','required');
            selectVilleFacturation.attr('required','required');
            codePostalFacturation.attr('required','required');
        }
        else {
            blocAddress.attr('hidden', 'hidden');
            adresse2.removeAttr('required');
            selectVilleFacturation.removeAttr('required');
            codePostalFacturation.removeAttr('required');
        }
    });
    $('#creerCompte').change(function () {
        const blocCreationCompte = $('#bloc_creation_compte');
        const identifiant = $('#monNumeroStep3');
        const password = $('#motDePasse');
        const passwordconfirmation = $('#confirmationMotDePasse');
        const email = $('#adresseMail');
        const emailconfirmation = $('#confirmationAdresseMail');

        if ($(this).is(':checked')) {
            blocCreationCompte.removeAttr('hidden');
            identifiant.attr('required','required');
            password.attr('required','required');
            passwordconfirmation.attr('required','required');
            email.attr('required','required');
            emailconfirmation.attr('required','required');
        }
        else {
            blocCreationCompte.attr('hidden', 'hidden');
            identifiant.removeAttr('required');
            password.removeAttr('required');
            passwordconfirmation.removeAttr('required','required');
            email.removeAttr('required');
            emailconfirmation.removeAttr('required');
        }
    });
});


}
/*
     FILE ARCHIVED ON 13:55:21 Mar 23, 2022 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 11:17:25 Oct 11, 2025.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.553
  exclusion.robots: 0.024
  exclusion.robots.policy: 0.014
  esindex: 0.011
  cdx.remote: 22.128
  LoadShardBlock: 131.433 (3)
  PetaboxLoader3.datanode: 200.678 (4)
  PetaboxLoader3.resolve: 51.919 (2)
  load_resource: 136.758
*/